Namespace
library
Image / Tag
consul:1.9.3
Content Digest
sha256:e9530d78c42bb2731948d2c7057d53f215e68a963b9455fb913fde99846f8c03
Details
Created

2021-02-24 20:55:13 UTC

Size

42.9 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.3

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:045e8056601208133bee5c98e76028f9b97e055c738892f8d6283205e1006173 - 6.22% (2.67 MB)

[#001] sha256:ecb2681bebeadff1ca0914e09619d419e7d4e39d6bec343d93e66fcede66d82e - 0.0% (1.2 KB)

[#002] sha256:100266ffa9756a72fe161c8439fb8111b7db8c074946f18e76824e6cfd9a79e8 - 93.77% (40.2 MB)

[#003] sha256:c73ff495a1d55d7f730f76ec25ae78705097b748f948b8297a401704f8a5c5d9 - 0.0% (143 Bytes)

[#004] sha256:f3087a92a4fe968273b0a7c2f115e35fb4a583a69c1263ee803510c407823241 - 0.0% (154 Bytes)

[#005] sha256:e2f513b227a70e0d8ddefaa0a1a53aeb0c26f4ef3e0644adeaf2156636c002b9 - 0.0% (1.67 KB)


History
2021-02-24 20:38:41 UTC

/bin/sh -c #(nop) ADD file:1f1a1b55522505e78fcc069edb6c793371f78991e90dcb464e4ddac7efd6588c in /

2021-02-24 20:38:41 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-02-24 20:55:01 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-02-24 20:55:02 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.3

2021-02-24 20:55:02 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.3

2021-02-24 20:55:02 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-02-24 20:55:03 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-02-24 20:55:09 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pool.sks-keyservers.net --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-02-24 20:55:10 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-02-24 20:55:11 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-02-24 20:55:12 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-02-24 20:55:12 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-02-24 20:55:12 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-02-24 20:55:12 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-02-24 20:55:13 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-02-24 20:55:13 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-02-24 20:55:13 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-02-24 21:19:39 UTC

Size

43.5 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.3

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f84cab65f19f5d625a4b5f895cdf37ad9f21e160bf201ec59a48d95b2a430145 - 6.14% (2.67 MB)

[#001] sha256:ea52006ac511368e3c6bcb4a73d30678c542c0c3fb8a37d65f827068653579f6 - 0.0% (1.2 KB)

[#002] sha256:91e14090bc9d8bfe39c13dfb297d4bcf1538266cec537752e4ad6efabd891756 - 93.85% (40.8 MB)

[#003] sha256:592cff81a0c3344b1ac69a78209a4d49549b47f75103613029c2b371ec7db7c9 - 0.0% (142 Bytes)

[#004] sha256:d9aa5162537717ccc5634c8a34f89e58b1c4731856fee3c87fc09a800bd54898 - 0.0% (154 Bytes)

[#005] sha256:2b8e3c9e516b9424db7cd5c9c8f4f6f2ceae55ed0afaad8cecd7abedc5975740 - 0.0% (1.67 KB)


History
2021-02-24 20:20:03 UTC

/bin/sh -c #(nop) ADD file:0dbb1cd66f708f54f7e6663eabf24095fcd53747bfb09912a118a77e737d9617 in /

2021-02-24 20:20:03 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-02-24 21:19:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-02-24 21:19:29 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.3

2021-02-24 21:19:29 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.3

2021-02-24 21:19:30 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-02-24 21:19:31 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-02-24 21:19:35 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pool.sks-keyservers.net --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-02-24 21:19:36 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-02-24 21:19:37 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-02-24 21:19:38 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-02-24 21:19:38 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-02-24 21:19:38 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-02-24 21:19:38 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-02-24 21:19:38 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-02-24 21:19:39 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-02-24 21:19:39 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-02-24 21:09:12 UTC

Size

39 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.3

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:55242616b0494f68f44470d864da746cd2a8f8f2d1ffca698114de64032247ef - 6.37% (2.48 MB)

[#001] sha256:9bb44b55f96ee001a4432da8272d7ffe73f0183ffb389a82f7667d28d0f07c26 - 0.0% (1.23 KB)

[#002] sha256:6a5cd7d068879fd65d6274f175aec93067fe49c4889288e5612c3081bdc2bc11 - 93.62% (36.5 MB)

[#003] sha256:188f40afa3bfa764ad72775287e9c6d1d545dee4297004580f7ed356b81f36bc - 0.0% (173 Bytes)

[#004] sha256:3c7dd591ff83643e7b76fb5c0ec9663a8308008861886ab6746c8c01ffd9d8ab - 0.0% (153 Bytes)

[#005] sha256:a4b12c42aa58449544394a012ea612b0f79a16e875e7e9c3ea8c2d0d4a2aea8f - 0.0% (1.66 KB)


History
2021-02-24 20:50:34 UTC

/bin/sh -c #(nop) ADD file:8bbb59eeaad0cbcf11559bc6e2b4492aadf6822d1935ed50c710f8bed858b7b5 in /

2021-02-24 20:50:35 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-02-24 21:08:49 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-02-24 21:08:49 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.3

2021-02-24 21:08:50 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.3

2021-02-24 21:08:51 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-02-24 21:08:52 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-02-24 21:09:03 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pool.sks-keyservers.net --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-02-24 21:09:06 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-02-24 21:09:08 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-02-24 21:09:09 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-02-24 21:09:09 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-02-24 21:09:10 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-02-24 21:09:11 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-02-24 21:09:11 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-02-24 21:09:12 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-02-24 21:09:12 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-02-24 21:30:02 UTC

Size

39.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.3

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:dce8679b510e95d136241d02ababff86469dd14220812a7ce9202833c0e32f66 - 6.6% (2.58 MB)

[#001] sha256:e2cc2046d54b68e05b97d89063b0fb734fcb614068a9696992bb1ce4c69445f9 - 0.0% (1.23 KB)

[#002] sha256:7d7013c29a3b7b22d36bccdd822922143df6d8d08cc6fd53b047187dfa0c4cfd - 93.4% (36.6 MB)

[#003] sha256:9223d45cdfdedeb253ed549dc365f3358bc97575e31c1394898f5a278c318528 - 0.0% (173 Bytes)

[#004] sha256:12f13575aa7031107847957acec156e196115cbd4a6d3ec50047762b62978b31 - 0.0% (152 Bytes)

[#005] sha256:0016fa33719e94e99da5b406c5aa9c07e5c5b3edbea62e5b5ac540ccceeb36d5 - 0.0% (1.67 KB)


History
2021-02-24 20:39:39 UTC

/bin/sh -c #(nop) ADD file:7e82858ef85f6db90c131ed835a390d736cfdbd1a0cf8bccaeed8f7e30172ddb in /

2021-02-24 20:39:40 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-02-24 21:29:40 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-02-24 21:29:41 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.3

2021-02-24 21:29:42 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.3

2021-02-24 21:29:43 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-02-24 21:29:45 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-02-24 21:29:52 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pool.sks-keyservers.net --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-02-24 21:29:54 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-02-24 21:29:56 UTC

|1 CONSUL_VERSION=1.9.3 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-02-24 21:29:57 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-02-24 21:29:58 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-02-24 21:29:58 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-02-24 21:29:59 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-02-24 21:30:00 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-02-24 21:30:01 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-02-24 21:30:02 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]